#include <bits/stdc++.h>
using namespace std;

void displayReverseArr(int arr[], int size, int idx)
{
	if(idx == size)
	{
		return;
	}
	displayReverseArr(arr, size, idx + 1);
	cout<<arr[idx]<<endl;
}

int main()
{
	int n;
	cin>>n;
	int arr[n];
	int length = sizeof(arr)/sizeof(arr[0]);
	for(int i = 0; i < length; i++)
	{
		cin>>arr[i];
	}
	
	displayReverseArr(arr, length, 0);
}
